Subject: Re: Regression: too many packets with incorrect checksum

From: Cong Wang <[email-masked]>
Date: Wed, 08 May 2013 20:22:23 +0800

On Wed, 2013-05-08 at 05:15 -0700, PJ Waskiewicz wrote:
> On 5/8/2013 4:51 AM, Cong Wang wrote:
> > Hi, all
> >
> > The latest -net tree has some regression, I saw too many packets with
> > incorrect checksum from tcpdump inside a KVM guest, see the bottom.
> > (firewall is turned off on both sides.)
> >
> > It seems this is not related with drivers, I tried virtio and e1000,
> > both have the same problem. And UDP has the problem too. But turning off
> > tx-checksum by `ethtool -K eth0 tx off` makes the problem disappear
> > (just turning off TSO or GSO doesn't make any difference).
> >
> > I can provide other information if you need.
> 
> Reproduce on bare metal, non-KVM?
> 

Sorry that I don't have env or time to test it on non-KVM, because my
kernel config is specific to KVM and kicks out all modules.